
/* PC1450 - A calculator emulator
 * Copyright (C) 1996 - 2001 Yves Maingoy
 * ymaingoy@free.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include "windows.h"

#define PATORDEST             0x00FA0089L


int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, INT nCmdShow);
static BOOL InitApplication(void);


BOOL InitInstance(HANDLE, int);
LRESULT CALLBACK MainWndProc(HWND hwnd,UINT msg,WPARAM wParam,LPARAM lParam);
BOOL _stdcall DlgAbout(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall DlgConfigureFilesBox(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall DlgConfigureBox(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall DlgError(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall DlgEmulateur(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall DlgAllReset(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall DlgMemory(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall MyTimerProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam);
BOOL _stdcall DlgUnassemble(HWND hDlg, UINT msg, WPARAM wParam, LPARAM lParam);

HBITMAP MakeColorBitmap(HWND);
HBITMAP MakeLinePixel(HWND);



